Skip to content
Documentation

Change User Role

v2
OpenAPI 3.1.0

ClusterNest API

To get started, generate an access token via the POST /auth/token endpoint below. Afterwards include the token as Bearer in the Authorization header of all requests. e.g. Authorization: Bearer <your_access_token>.

Client Libraries

organization

​

Change User Role

​

Path Parameters

  • Integer numbers.

Body·ChangeRoleRequest

required
application/json
  • Role to assign to the user.

    values
    readbillingwriteadminowner

Responses

  • application/json
  • application/json
Request Example for put/org/{organization_id}/role/{user_id}
curl '/org/1/role/{user_id}' \
  --request PUT \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "new_role": "read"
}'
{
  "additionalProperty": "anything"
}